%define _libexecdir %_prefix/libexec

Name: blueman
Version: 1.10
Release: alt1
Summary: The GTK+ bluetooth management utility
License: GPLv3
Group: System/Libraries
Url: http://%name.tuxfamily.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: bluez >= 4.35 obex-data-server >= 0.4.3
Requires: GConf PolicyKit python-module-pybluez

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: intltool libbluez4-devel libgtk+2-devel libstartup-notification-devel python-module-Pyrex
BuildRequires: python-module-dbus python-module-pygobject-devel python-module-pygtk-devel python-module-notify

%description
Blueman is a GTK+ bluetooth management utility for GNOME using bluez dbus backend.
The aim is to create a full featured graphical bluetooth manager for Linux.

Features:

    * Easy to use interface
    * Storing Favourite devices
    * Send files
    * Browse files on devices
    * List all seen devices
    * View Local/Remote Device information
    * View transfer speeds and link quality
    * Configure local devices
    * Manage Pairing (Bonding)
    * Host/Connect to Personal Area Networks
    * Bind services to /dev/rfcomm ports, for eg. connecting via gprs
    * Connect and receive connections from: audio, network, input and serial devices 

%prep
%setup -q
%patch -p1

subst 's/DBusServiceUnknownError/DBusException/' blueman/*/*.py

%build
%autoreconf
%configure \
	--libexecdir=%_libexecdir \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

find %buildroot%python_sitelibdir -name \*.la -delete

%find_lang %name

%files -f %name.lang
%_sysconfdir/dbus-1/system.d/org.%name.Mechanism.conf
%_sysconfdir/xdg/autostart/%name.desktop
%_bindir/%name-*
%_libexecdir/%name-mechanism
%python_sitelibdir/*%{name}*
%_datadir/PolicyKit/policy/org.%name.policy
%_desktopdir/%name-manager.desktop
%_datadir/%name
%_datadir/dbus-1/services/%name-applet.service
%_datadir/dbus-1/system-services/org.%name.Mechanism.service
%_datadir/hal/fdi/information/20thirdparty/11-%name-bnep.fdi
%_iconsdir/hicolor/*/apps/%name.*
%_man1dir/%name-*.1*

%changelog
* Sun Apr 19 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.10-alt1
- 1.10

* Sat Apr 18 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.02-alt5
- updated translations

* Wed Apr 15 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.02-alt4
- To configure bluetooth modems it is authorised to all

* Tue Apr 14 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.02-alt3
- fixed NetworkManager support

* Wed Mar 18 2009 Alexey Rusakov <ktirf@altlinux.org> 1.02-alt2
- Replaced libbluez4 with bluez runtime dependency.

* Thu Mar 12 2009 Alexey Rusakov <ktirf@altlinux.org> 1.02-alt1
- New version (1.0.2).
- Updated dependencies.
- Updated download link, build and install sequence, files list.

* Fri Dec 05 2008 Alexey Rusakov <ktirf@altlinux.org> 0.5-alt1
- New version (0.5).
- Dropped post/postun scripts, since they are no more needed.
- Updated download URL.
- Pybluez dependency is back, fixing ALT Bug 17417.
- Repocop warnings fixed:
  + Packager tag added;
  + additional fd.o categories in the desktop file appended.

* Mon Mar 03 2008 Alexey Rusakov <ktirf@altlinux.org> 0.3-alt3
- Removed pybluez requirement, looks like it's not needed.

* Sat Mar 01 2008 Alexey Rusakov <ktirf@altlinux.org> 0.3-alt2
- Added %%update_menus/%%clean_menus to the package scripts (thanks to
  repokop).

* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.3-alt1.1
- Rebuilt with python-2.5.

* Sat Dec 29 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3-alt1
- The first package for Sisyphus.

